|  | Home · All Classes · Modules

# QSqlDriverCreatorBase Class Reference
[QtSql module]

The QSqlDriverCreatorBase class is the base class for SQL driver factories. More...

### Methods

- __init__ (self)
- __init__ (self, QSqlDriverCreatorBase other)
- QSqlDriver createObject (self)

## Detailed Description

The QSqlDriverCreatorBase class is the base class for SQL driver factories.

Reimplement createObject() to return an instance of the specific QSqlDriver subclass that you want to provide.

See QSqlDatabase.registerSqlDriver() for details.

See also QSqlDriverCreator.

## Method Documentation

### QSqlDriverCreatorBase.__init__ (self)

### QSqlDriverCreatorBase.__init__ (self, QSqlDriverCreatorBase other)

### QSqlDriver QSqlDriverCreatorBase.createObject (self)

This method is abstract and should be reimplemented in any sub-class.

Reimplement this function to returns a new instance of a QSqlDriver subclass.